Entwurf 3Punkte Bogen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc 3Points and the translation is 27% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Vorherige: Draft Circle.svg Bogen
Nächste: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Arc 3Points.svg Entwurf Bogen 3Punkte

Menüeintrag
Entwurf → Bogen 3 Punkte
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
A T
Eingeführt in Version
0.19
Siehe auch
Entwurf Bogen, Entwurf Kreis, Entwurf Ellipse

Beschreibung

Das Werkzeug Draft Arc 3Points.svg Arc 3Points erzeugt einen Bogen in der aktuellen Arbeitsebene, durch Eingabe von drei Punkten, die auf dem Umfang liegen; aus diesen drei Punkten werden Mittelpunkt und Radius bestimmt. Es verwendet das Entwurf Linienstil , das auf dem Entwurf Tray gesetzt ist.

A Draft Arc is in fact a Draft Circle with a DatenFirst Angle that is not the same as its DatenLast Angle.

Draft Arc 3Points example.png

Bogen definiert durch drei Punkte, die auf einem Umfang liegen

Anwendung

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Drücke die Taste Draft Arc 3Points.svg Draft Arc 3Points Taste, oder drücke A dann T Tasten.
  2. Klicke auf einen ersten Punkt in der 3D-Ansicht, oder gib eine Koordinate and press the Draft AddPoint.svg Punkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D-Ansicht, oder gib eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.
  4. Klicke auf einen dritten Punkt in der 3D-Ansicht, oder gib eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.
  5. Der Bogen wird erstellt, nachdem der dritte Punkt angegeben wurde.

Optionen

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs. introduced in version 0.20
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a non-editable Part Feature instead of a Draft Circle.

Eigenschaften

Ein Bogenobjekt teilt sich alle Eigenschaften von einem Entwurf Kreis, aber einige Eigenschaften sind nur für den Kreis sinnvoll. Weitere Informationen unter Entwurf Bogen.

Skriptsteuerung

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc by 3 points use the make_arc_3points method of the Draft module:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Creates an arc object from the given points list.
  • If a placement is given, the center of the circular arc will be moved to this place. See Placement for more information.
  • If face is True, the arc will make a face, that is, it will appear filled.
  • If support is given, it is a LinkSubList, that is, a list indicating an object and a subelement of that object. This is used so that the object appears referenced to this support.
For example: support=[(obj, ("Face1"))].
  • If map_mode is given, it is a string defining a type of mapping, for example: map_mode='FlatFace', map_mode='ThreePointsPlane', etc. See Part EditAttachment for more information.
  • If primitive is True, the arc created will be a simple Part Feature, not a complex Draft object.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = Draft.make_arc_3points(points)

doc.recompute()


Arrow-left.svg Vorherige: Draft Circle.svg Bogen
Nächste: Ellipse Draft Ellipse.svg Arrow-right.svg